/*
 * ATBoard
 * Default Firmware
 *
 * Copyright (c) 2010, Michael Hohl
 *
 */

#ifndef F_CPU
#warning "F_CPU war noch nicht definiert, wird nun mit 12 MHz definiert"
#define F_CPU 12000000     /* Quarz mit 12.000.000 Hz */
#endif

#include <avr/io.h>
#include <util/delay.h>
#include "lcd.h"


int main(void)
{

	// LCD initialisieren
	lcd_init();
	lcd_clear();
	lcd_home();
 
	// Textausgabe am LCD
	lcd_string("ATBoard 1XX-Firmware");
	lcd_setcursor(2, 0);
	lcd_string("====================");

	// LEDs initialisieren
	DDRC = (1 << DDC6) | (1 << DDC7); 
	PORTC |= ( 1 << PC6);
 	
	// LEDs blinken
	while(1) 
	{
		PORTC ^= ( 1 << PC6);
		PORTC ^= ( 1 << PC7);
		_delay_ms(500);
	}
  

	
	return 0;
}
